#!/bin/sh
#  Add sensor_cal information to /etc/das-in/ without calling pinmask-change
#  which would override other user configuration changes.
#  Only need to update shipped 4 port Affinities, all 8 port units already
#  have the appropriate sensor_cal.local installed.

# Only run once
[ -n "${POST_UPGRADE_CACHE}" ] && touch "${POST_UPGRADE_CACHE}/`basename $0`"

DAS_IN=/etc/das-in
TGT=${DAS_IN}/sensor_cal.local
SRC=/usr/share/das-pinmask/2+3+1/das-in/sensor_cal.tpl

[ -e "${TGT}" ] || exit 0

cp "${SRC}" "${TGT}"
